Page MenuHomePhabricator

Display qualifiers on File page via php
Closed, ResolvedPublic

Description

Write the qualifiers onto the File page via php (before js is loaded)

Event Timeline

Cparle created this task.Feb 12 2019, 5:25 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 12 2019, 5:25 PM

Change 490891 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Enable qualifiers for real

https://gerrit.wikimedia.org/r/490891

Ramsey-WMF moved this task from Untriaged to Desired epics on the Multimedia board.Mar 8 2019, 5:02 PM

Change 490891 abandoned by Matthias Mullie:
Enable qualifiers for real

Reason:
Don't need this one anymore: Id27fe42c51b4f71d2818427470ec45cc422db991 will take this var away, and $wgDepictsQualifierProperties is now the one to configure

https://gerrit.wikimedia.org/r/490891

I believe that this is technically done (except for design tweaks), but is invisible on Beta until T219181 is complete, is that right?

Cparle added a comment.Apr 8 2019, 8:22 AM

It is indeed

Jdforrester-WMF closed this task as Resolved.May 1 2019, 6:00 PM
Jdforrester-WMF assigned this task to Cparle.
Jdforrester-WMF removed a project: Patch-For-Review.

PHP initial rendering (JS turned off):

Full rendering (JS turned on):